Subject: Re: Interrupted git-svn dcommit, now I get segmentation faults

From: Sam Vilain <[email-masked]>
Date: Fri, 22 Feb 2008 08:27:18 +1300

Chris Ball wrote:
> Hi,
> 
> I mistakenly interrupted a git-svn dcommit, and now whenever I run
> git-svn dcommit I get a segmentation fault, but the commit is
> successful. I have just switched from Subversion to Git, so I'm not
 [...]
> git diff still showed the change on my machine, so I ran git-svn dcommit
> again:
> 
> $ git-svn dcommit
> Committing to https://svn/repository ...
> Merge conflict during commit: Your file or directory 'path/to/file' is
> probably out-of-date: The version resource does not correspond to the
> resource within the transaction.  Either the requested version
> resource is out of date (needs to be updated), or the requested
> version resource is newer than the transaction root (restart the
> commit). at /usr/bin/git-svn line 420

If you get stuff like that you can move the git-svn state out of the
way, and re-run git-svn fetch; it will rebuild the metadata.

 $ mv .git/svn .git/svn.bad
 $ git-svn fetch

Not a fix I know, but might work for you ;)

Sam.